import request from '@/utils/request'

// 查询展厅模板列表
export function listTemplate(query) {
    return request({
        url: '/vrone/backend/templates/list',
        method: 'get',
        params: query
    })
}

// 查询展厅模板详细
export function getTemplate(id) {
    return request({
        url: '/vrone/backend/templates/' + id,
        method: 'get'
    })
}

// 新增展厅模板
export function addTemplate(data) {
    return request({
        url: '/vrone/backend/templates',
        method: 'post',
        data: data
    })
}

// 修改展厅模板
export function updateTemplate(data) {
    return request({
        url: '/vrone/backend/templates',
        method: 'put',
        data: data
    })
}

// 删除展厅模板
export function delTemplate(id) {
    return request({
        url: '/vrone/backend/templates/' + id,
        method: 'delete'
    })
}
